Package io.dapr.v1

# Interface DaprAppCallbackProtos.TopicSubscriptionOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprAppCallbackProtos.TopicSubscription`, `DaprAppCallbackProtos.TopicSubscription.Builder`

Enclosing class:
  DaprAppCallbackProtos

public static interface DaprAppCallbackProtos.TopicSubscriptionOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsMetadata(String key)`
The optional properties used for this topic's subscription e.g.
`DaprAppCallbackProtos.BulkSubscribeConfig`
`getBulkSubscribe()`
The optional bulk subscribe settings for this topic.
`DaprAppCallbackProtos.BulkSubscribeConfigOrBuilder`
`getBulkSubscribeOrBuilder()`
The optional bulk subscribe settings for this topic.
`String`
`getDeadLetterTopic()`
The optional dead letter queue for this topic to send events to.
`com.google.protobuf.ByteString`
`getDeadLetterTopicBytes()`
The optional dead letter queue for this topic to send events to.
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
The optional properties used for this topic's subscription e.g.
`Map<String,String>`
`getMetadataMap()`
The optional properties used for this topic's subscription e.g.
`String`
`getMetadataOrDefault(String key, String defaultValue)`
The optional properties used for this topic's subscription e.g.
`String`
`getMetadataOrThrow(String key)`
The optional properties used for this topic's subscription e.g.
`String`
`getPubsubName()`
Required.
`com.google.protobuf.ByteString`
`getPubsubNameBytes()`
Required.
`DaprAppCallbackProtos.TopicRoutes`
`getRoutes()`
The optional routing rules to match against.
`DaprAppCallbackProtos.TopicRoutesOrBuilder`
`getRoutesOrBuilder()`
The optional routing rules to match against.
`String`
`getTopic()`
Required.
`com.google.protobuf.ByteString`
`getTopicBytes()`
Required.
`boolean`
`hasBulkSubscribe()`
The optional bulk subscribe settings for this topic.
`boolean`
`hasRoutes()`
The optional routing rules to match against.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getPubsubName

String getPubsubName()

     Required. The name of the pubsub containing the topic below to subscribe to.

`string pubsub_name = 1;`

Returns:
  The pubsubName.

### getPubsubNameBytes

com.google.protobuf.ByteString getPubsubNameBytes()

     Required. The name of the pubsub containing the topic below to subscribe to.

`string pubsub_name = 1;`

Returns:
  The bytes for pubsubName.

### getTopic

String getTopic()

     Required. The name of topic which will be subscribed

`string topic = 2;`

Returns:
  The topic.

### getTopicBytes

com.google.protobuf.ByteString getTopicBytes()

     Required. The name of topic which will be subscribed

`string topic = 2;`

Returns:
  The bytes for topic.

### getMetadataCount

int getMetadataCount()

     The optional properties used for this topic's subscription e.g. session id

`map<string, string> metadata = 3;`

### containsMetadata

boolean containsMetadata(String key)

     The optional properties used for this topic's subscription e.g. session id

`map<string, string> metadata = 3;`

### getMetadata

@Deprecated Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

### getMetadataMap

Map<String,String> getMetadataMap()

     The optional properties used for this topic's subscription e.g. session id

`map<string, string> metadata = 3;`

### getMetadataOrDefault

String getMetadataOrDefault(String key, String defaultValue)

     The optional properties used for this topic's subscription e.g. session id

`map<string, string> metadata = 3;`

### getMetadataOrThrow

String getMetadataOrThrow(String key)

     The optional properties used for this topic's subscription e.g. session id

`map<string, string> metadata = 3;`

### hasRoutes

boolean hasRoutes()

     The optional routing rules to match against. In the gRPC interface, OnTopicEvent
     is still invoked but the matching path is sent in the TopicEventRequest.

`.dapr.proto.runtime.v1.TopicRoutes routes = 5;`

Returns:
  Whether the routes field is set.

### getRoutes

DaprAppCallbackProtos.TopicRoutes getRoutes()

     The optional routing rules to match against. In the gRPC interface, OnTopicEvent
     is still invoked but the matching path is sent in the TopicEventRequest.

`.dapr.proto.runtime.v1.TopicRoutes routes = 5;`

Returns:
  The routes.

### getRoutesOrBuilder

DaprAppCallbackProtos.TopicRoutesOrBuilder getRoutesOrBuilder()

     The optional routing rules to match against. In the gRPC interface, OnTopicEvent
     is still invoked but the matching path is sent in the TopicEventRequest.

`.dapr.proto.runtime.v1.TopicRoutes routes = 5;`

### getDeadLetterTopic

String getDeadLetterTopic()

     The optional dead letter queue for this topic to send events to.

`string dead_letter_topic = 6;`

Returns:
  The deadLetterTopic.

### getDeadLetterTopicBytes

com.google.protobuf.ByteString getDeadLetterTopicBytes()

     The optional dead letter queue for this topic to send events to.

`string dead_letter_topic = 6;`

Returns:
  The bytes for deadLetterTopic.

### hasBulkSubscribe

boolean hasBulkSubscribe()

     The optional bulk subscribe settings for this topic.

`.dapr.proto.runtime.v1.BulkSubscribeConfig bulk_subscribe = 7;`

Returns:
  Whether the bulkSubscribe field is set.

### getBulkSubscribe

DaprAppCallbackProtos.BulkSubscribeConfig getBulkSubscribe()

     The optional bulk subscribe settings for this topic.

`.dapr.proto.runtime.v1.BulkSubscribeConfig bulk_subscribe = 7;`

Returns:
  The bulkSubscribe.

### getBulkSubscribeOrBuilder

DaprAppCallbackProtos.BulkSubscribeConfigOrBuilder getBulkSubscribeOrBuilder()

     The optional bulk subscribe settings for this topic.

`.dapr.proto.runtime.v1.BulkSubscribeConfig bulk_subscribe = 7;`